commit e4971e9507f989d68c97a92edd1e6e1881ad1d55
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 16:39:07 2019 -0700

    makedepend 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7897a5b8edd142d4de63933db3e544262006289e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 20:35:14 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 277eaf65d43f9fe9d3d223810e1872c32436c01e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 23:40:18 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d15117c98a071b8fd30fb163fc45cb37db760654
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 10:54:59 2018 -0700

    Simplify writing of output lines to Makefile
    
    Instead of writing everything to a temporary buffer, and then using
    fwrite() to have it fputc() one character at a time into the stdio
    buffer, just use fprintf() directly to save a copy and write in
    larger blocks.
    
    Testing on Solaris on makedepend's own source files showed a
    reduction in memcpy's from 4037 to 3108, and in _dowrite calls
    in stdio from 1173 to 168, but no change in actual write calls
    from stdio's buffer to the file.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4f410f3ed29fdb0f98be1e01930ba1a909a36ef0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 10:05:44 2018 -0700

    Remove unused variable whitespace
    
    Use of it was removed in commit 275c17136006f9d, but we kept setting
    it anyway.
    
    Resolves gcc 7.3 warning:
    main.c: In function ‘getnextline’:
    main.c:587:10: warning: variable ‘whitespace’ set but not used [-Wunused-but-set-variable]
      boolean whitespace = FALSE;
              ^~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 223b315a9148ec0091837f2e369bbb3ec5d49e11
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 10:00:38 2018 -0700

    Fix bad indentation in ifparser.c
    
    ifparser.c: In function ‘parse_product’:
    ifparser.c:300:5: warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]
         else
         ^~~~
    ifparser.c:302:2: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the ‘else’
      break;
      ^~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 13385d8add69156805f824cedcdad2986a23662d
Author: Antonio Larrosa <alarrosa@suse.com>
Date:   Tue Feb 2 18:31:27 2016 +0100

    Quote colons in filenames/paths
    
    Makefile doesn't like colons in filenames/paths so they must
    be quoted in the output. Otherwise makedepend doesn't work with
    full paths that contain a colon.
    
    V2: Use quoted filename when measuring name length
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5fb14ee51f849ec86c109bae101ae3f7b7ed7e39
Author: David Boyce <boyski@users.sourceforge.net>
Date:   Fri Dec 27 18:50:38 2013 -0800

    Bumped -I flag limit in makedepend from 64 to 512.
    
    Clearly a limit of 64 -I flags is too low (we hit it); it might be
    a good style recommendation but shouldn't be a hard limit.
    512 is a fairly random replacement value.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0860822bb2a1bbc6e40758e2e6413181b26b6b04
Author: Dirk <doj@cubic.org>
Date:   Thu Feb 11 18:48:13 2016 +0000

    missing bounds check in makedepend for file arguments
    
    When assigning source code files from the command line to the fp pointer,
    no bounds check is done and if more than MAXFILES file names are specified
    on the command line, memory will be overridden out of bounds.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94099
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 72cc0b7713b28ffd03271526c81d1ad9d2183a82
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit f11006e04bb87b060cc6a5b64f4dd0eeb8b3447f
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c5cc6e0ff2d60133a4b7560df67607ceeb9d55a6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit a4f82f917a9b0802b70cd80c21d2e53688e2b9b3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 12 10:11:03 2016 -0800

    Use do { ... } while(0) idiom to make debug() macro safer
    
    Cleans up several -Wempty-body warnings from gcc 5.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 9da873c5a036c95aa24a7dc3562d405609262381
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 2 21:49:39 2013 -0700

    Constify a pair of local string pointers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30859adfd6a6523a92a637ca26bd61ce59680a1b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 22 22:14:36 2013 -0700

    makedepend 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b6d3797eae3bac824cf72c0c8f64f51e3d4eaef
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jul 1 18:57:12 2013 +0200

    Don't crash if an option's argument is missing
    
    Avoid dereferencing argv[argc].
    
    See http://www.forallsecure.com/bug-reports/011f1a55f79a5501b36008d6ee0d40e8b6644569/
    
    Reported-by: Alexandre Rebert <alexandre@cmu.edu>
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 107c2fcf5c7576ee66ee23926f0431b6db27a07a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 09:57:51 2013 -0800

    Assume signal handlers return void, as C89 requires
    
    Drops use of autoconf's obsolete AC_TYPE_SIGNAL
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b2c6d0d0f64d419590c7cd77aae4890866665cba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 12 18:36:30 2013 -0800

    Bug 56091 - Unsafe use of strcpy() in makedepend
    
    Use memmove for potentially overlapping copies.
    
    Reported-by: Laurence Jupp <laurence@narya.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit 897e25de0cf27bd345130912a6da34b0c802a0ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 12 18:33:44 2013 -0800

    Store len in a size_t instead of an int in redirect()
    
    Fixes clang warnings about converting back & forth:
    
    main.c:761:8: warning: implicit conversion loses integer precision: 'size_t'
          (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
            len = strlen(line);
                ~ ^~~~~~~~~~~~
    main.c:763:41: warning: implicit conversion changes signedness: 'int' to
          'size_t' (aka 'unsigned long') [-Wsign-conversion]
                    if (*buf == '#' && strncmp(line, buf, len) == 0)
                                       ~~~~~~~            ^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 87fd28cd5a5acfe6e91c97c4af0a469e1e86cbd5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 22:45:53 2013 -0800

    Mark fatalerr & catch as _X_NORETURN
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 637c59e78f699a824e78316cb8ca3113bb5c738b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 12 14:40:40 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 059e9be5a7321974b190d786d426b2ae27be8c56
Author: Glenn Burkhardt <gbburkhardt@gmail.com>
Date:   Fri Jan 11 22:09:54 2013 -0800

    Bug 52099 - makedepend rename fails on CIFS mounted shares
    
    Patch v1: https://bugs.freedesktop.org/attachment.cgi?id=64218
    
    v2: modified by Alan Coopersmith to restore Makefile to original name
    if contents cannot be read, instead of leaving it moved to .bak name.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bb29c304c09aba567af0f0d77a63f0202c3836c6
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9685da3e7136e01a7bc780d81667abf5897b87a6
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 16 12:59:58 2013 -0500

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8e4373712409e2411652cf0697c33d91e95fd405
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 11 22:29:19 2013 -0800

    Fix a comment typo
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a28a2a0146c4979281ffea641dede9a32df08f9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:55:04 2013 -0800

    Convert more sprintf calls to snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 639071ff3446b0df53078be1ff5820c812313aa7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:42:33 2013 -0800

    Remove unnecessary casts from malloc/realloc calls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b5e7ee6483415d7093f3d5395c4832fa69f0a28
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:25:43 2013 -0800

    Remove fallbacks for Imake configuration, assume autoconf
    
    For the original 6.9/7.0 release, we supported using either autoconf or
    imake to generate configuration.  For releases after that, we're only
    supporting autoconf, so no longer need to check & fall back to imake.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4db1a4f15ef704b6b6faf1741054d59cb527298a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:15:28 2013 -0800

    Move i_listlen in struct inclist for better packing in 64-bit builds
    
    Putting it with another int instead of between two pointers gets rid
    of two places where 4 bytes each had to be padded into the structure
    for alignment.
    
    Reduces the size of an individual struct from 64 bytes to 56 bytes,
    and of the inclist[ MAXFILES ] array from 128k to 112k.
    
    Found by clang:
    ./def.h:111:18: warning: padding struct 'struct inclist' with 4 bytes to align 'i_defs' [-Wpadded]
            struct symtab   **i_defs;       /* symbol table for this file and its
                              ^
    ./def.h:114:12: warning: padding struct 'struct inclist' with 4 bytes to align 'i_merged' [-Wpadded]
            boolean         *i_merged;      /* whether we have merged child
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c5378d3e7bb79880b9ea6f7f055393ae42eae55f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:05:17 2013 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC is provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables

commit 3db923e80852b088b1d0583bad7fca05e173efdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:01:03 2013 -0800

    Update configure.ac initialization to X.Org standard form
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6d70e2776b41977a87bbe32220f4d3f8a62dc763
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 20:07:43 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01238aa25c3bb1e0c909f63dd3bc97c48bd8bf6d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 4 20:02:33 2013 -0800

    Bug 59005 - makedepend: Build with automake-1.13 broken
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 49d72ba286c1ddd99cf1e6477ee2b6af59007341
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Mar 14 19:49:14 2012 +0100

    configure.ac: use AM_MAINTAINER_MODE

commit b6605e3945eaaabbd090672f33e888d394f9a4f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 21:52:14 2012 -0800

    makedepend 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb8bbc06de0baf2dff4a703e6d2bb47bdf90d896
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:07:24 2011 -0700

    define(): Avoid assigning constant string to non-const char *
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b9770941ae829ad2cb985efe809d6e3dd690648b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:02:34 2011 -0700

    Call strdup directly, instead of via copy macro
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ecf5f3251033ab6efa1a0d881f75ed9ce60b5a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:00:39 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 97ae52f80f9e382917889bde1913367572e89012
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 17:47:36 2011 -0700

    Move extern variable declarations to common header (def.h)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3602fb0b7ba2bde9c73610693dbb50534fe42b81
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 17:34:17 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c1f32dc1d4c1758065468e1f5d34707099f59f33
Author: Stuart Kreitman <Stuart.Kreitman@Oracle.COM>
Date:   Mon May 24 14:21:21 2010 -0700

    Raise MAXFILES from 1024 to 2048
    
    Required in order to build OpenTTD on Solaris
    http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6917536
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc23acdd80fa0cad53e46f99cd0ff5998ec7f607
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Oct 31 15:50:36 2010 +0100

    Fix bashism: shell string comparison is =, not ==.
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 186aae76a84860d0efef638ff499ab1968fffd75
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:53:25 2010 -0700

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e67389ecc0c425bcfec0a3184ee48919e0e2c61a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:45:35 2010 -0700

    makedepend 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bf25a6cb4888e5cf6827cd51cb7ee282cfb6cf47
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:39:51 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7963cc382a3a351410b1342a9783df3af8516944
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 58bd34e6c3662ef06e9ef0dd78d69f003df42bdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 14 21:14:44 2010 -0700

    Convert testcase from bug 28045 into automake "make check" test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8522c314da7537169996476fe5ba411f720a09fe
Author: Martin Pärtel <lagitus@mbnet.fi>
Date:   Fri May 14 21:00:15 2010 -0700

    Bug 28045 - makedepend fails on directory named like an include file
    
    <https://bugs.freedesktop.org/show_bug.cgi?id=28045>
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c976a7fc7c21772c00de9e61178cf467c6a10b57
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 22:08:09 2009 -0700

    makedepend 1.0.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c2abfbb9ea21bec53706295064c328e5d2721abd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 22:07:44 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f3bbd454d8220a0c30c1a788965a7f16501350ab
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 21:03:53 2009 -0700

    Remove CVS/RCS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 42ee120e8c49c5f9aaba35689e09f9ecef407758
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 18:47:23 2009 -0700

    Fix gcc, sparse & lint warnings
    
    cppsetup.c:74:9: warning: Using plain integer as NULL pointer
    
    parse.c: In function `gobble':
    parse.c:94: warning: int format, long int arg (arg 2)
    parse.c: In function `find_includes':
    parse.c:641: warning: int format, long int arg (arg 2)
    parse.c:664: warning: int format, long int arg (arg 2)
    parse.c:677: warning: int format, long int arg (arg 2)
    parse.c:684: warning: int format, long int arg (arg 2)
    
    pr.c: In function `add_include':
    pr.c:57: warning: int format, long int arg (arg 4)
    pr.c:59: warning: int format, long int arg (arg 3)
    
    declared global, could be static
        sig_act             main.c(142)
        predefs             main.c:imakemdep.h(51)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c7c7197d265a299c82c6629fba867730aad81375
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 18:22:37 2009 -0700

    Increased constification
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a6a8afb0a82a175822077442f44865c75ab70ff1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 17:34:42 2009 -0700

    Remove #ifdef'ed code that's never used
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3e8c1a2a8e7db49b06f602c2fc5a8108d74dd384
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 17:27:47 2009 -0700

    Remove ifdef checks for macII left over from ancient A/UX 3.0 support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e3bc51e4ea2dce1901c4f7ce43df2f456ececdcf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 17:25:56 2009 -0700

    Use XORG_CHANGELOG, XORG_CWARNFLAGS, and XORG_WITH_LINT macros
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit cc3112b6d0434d8e7ecbe3832a5aa48cd0f5185d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:34:45 2009 -0700

    Add additional predefines needed to match Solaris compilers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f871e026bedc296c235dae02e533617fe9a4d3f2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:16:47 2009 -0700

    Delete portions of imakemdep.h not used by makedepend
    
    This header was shared by imake & makedepend in the monolith, but each
    got its own copy in the modular builds.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 26cb2802170d349fa1b2ab2237e6f2c0d1df1709
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:02:55 2009 -0700

    Add .gitignore
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4d821427ac3e7e3de86f46e3b1e638c65758b774
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:00:19 2009 -0700

    Use AM_CPPFLAGS instead of makedepend_CPPFLAGS to avoid mangled .o names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 617fc1304afdca2fb82e3a65d9a4999058d86021
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:39:17 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 5239f25be018b2e9cf3620d5c1c62bac4e1e116d
Author: Jeremy C. Reed <reed@glacier.reedmedia.net>
Date:   Wed Mar 21 15:27:57 2007 -0500

    Update version for release.

commit e2bea6a0278f182f9cc8b7bac660da49d24d2e50
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jun 2 19:21:52 2006 +0000

    Coverity #925: Pointer "file" dereferenced before NULL check

commit fbb0a1b59b410a5873cf33c4cedc32f32ea03a59
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:40 2005 +0000

    Update package version number for final X11R7 release candidate.

commit cbb537c9276302f56c82c0dd010db400bd605f57
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Dec 9 18:27:47 2005 +0000

    Bug #4380: Avoid dividing by zero in gccmakedepend (Vincent Le Ligeour)

commit 34c35bcb3851909468c679c2014b6197c7be270e
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:47 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit c30b8896d6a6e1272e7e703cac5866802a5e30a2
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:47 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 0f756745a930e995fb529ffe34cd7f7d36c68d4a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:00:24 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 9bd896db001a270770506c25232435ddeb7a7f22
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 20 03:24:01 2005 +0000

    Remove duplicate setting of EXTRA_DIST

commit 3a5f945b6e15c6799b2a796f82ed1222140fc62d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Nov 12 20:04:58 2005 +0000

    Substitute variables in man page
    [Also resync Changelog with monolith]

commit aaa64b9dc41b6b3ed3f5acd7eb2b517c3499a521
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:25:57 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 3ead9564d1f63a1080c97b1ba44af17a74938485
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:24 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit d13a9d5d03bf5ebab5c847bdc616f276971d39d8
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:17 2005 +0000

    Update package version number for RC1 release.

commit 3b21840ce7b2c7825c40dd3f0463d66aee692fc6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 3 16:17:10 2005 +0000

    Bug #3812 <https://bugs.freedesktop.org/show_bug.cgi?id=3812> Patch #3462
        <https://bugs.freedesktop.org/attachment.cgi?id=3462> GNU/kFreeBSD
        Imake support (Robert Millan)

commit f002b90281e623b7611565a49a5d12fb517800ae
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 02:13:55 2005 +0000

    Pass through __BUILTIN_VA_STRUCT and __BUILTIN_VA_ARG_INCR defines in
        makedepend so it doesn't issue errors when source files include
        <varargs.h> or <stdarg.h> on Solaris 10.

commit ddabc8840aee8a90ea6b7f6fe8f1af7f692a2576
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:58 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit c8e6f83244036256d3f56c35ec8c60f03dc51275
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 18:42:37 2005 +0000

    Update #includes to use <X11/*.h> for modularization.

commit 275c17136006f9d3929c9547642f1ed3f95d5683
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 5 19:02:01 2005 +0000

    Bugzilla #2901 <https://bugs.freedesktop.org/show_bug.cgi?id=2901> Patch
        #2320 <https://bugs.freedesktop.org/attachment.cgi?id=2320>
    Remove warning about whitespace in pre-processor defines. (Peter
        Breitenlohner)

commit 9debe1d47d8869949b15f5ea43222f5b22465b32
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 22 19:01:58 2005 +0000

    Add makedepend man page

commit 1ee2b235655779213e8b5e0455104161a88a536c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:44 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit d22b9d44523591e042569112aaba3b7437dd4c7e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:23 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit b0e61cfcfbb56696597eb65511c74ad901d62b58
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 15 21:16:24 2005 +0000

    Initial attempt at autotooling/modular conversion of makedepend

commit dabc4c7abcba043e206745bdb101aafb48c00c71
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 15 21:06:38 2005 +0000

    [Modularization/autotooling project] Add support for building with autoconf
        #ifdefs if present. #include "makedepend-config.h" if HAVE_CONFIG_H is
        defined.

commit 4a64cca6526e26c93f7011ba5e4fedb511af4560
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Mar 2 11:20:29 2005 +0000

    xc/config/cf/DragonFly.cf
    xc/config/cf/Imake.cf
    xc/config/cf/Imakefile
    xc/config/imake/imake.c
    xc/config/imake/imakemdep.h
    xc/extras/drm/shared/drm.h
    xc/include/Xos_r.h
    xc/lib/xtrans/Xtranssock.c
    xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
    xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h
    xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
    //bugs.freedesktop.org/show_bug.cgi?id=1712) attachment #2004
        (https://bugs.freedesktop.org/attachment.cgi?id=2004): Add support for
        DragonFly/BSD platform. Patch by Jeroen Ruigrok <asmodai@tendra.org>
        and Mike Verona <firedragonfly@gmail.com>.

commit a2abf77f552d3930d07721e2aa388bb8d87a621a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jan 19 22:28:20 2005 +0000

    Pass through additional #defines for Solaris. (Sun bug id #5097074 - Alan
        Coopersmith)

commit 33dd47009fe09ce9e5628df51914821d416be78d
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Nov 15 15:06:52 2004 +0000

    Bufzilla #1802, http://freedesktop.org/bugzilla/show_bug.cgi?id=1802 Added
        mingw (Win32) port

commit 67b078bc115ca3c52545b9dacb2b0fc0a1c9e90e
Author: Egbert Eich <eich@suse.de>
Date:   Tue Oct 19 13:50:06 2004 +0000

    Enabling modules and DRI for Linux HPPA.
    Removing hpsocket.c as it isn't used anywhere any more (Bugzilla #1584).

commit 967895bc594e45f065a97005a248ef71139eb269
Author: Egbert Eich <eich@suse.de>
Date:   Mon Oct 18 14:26:35 2004 +0000

    powerpc/powerpc64 build fixes.

commit f1300e657659259b4082ad83de3b59a7b6b1094b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 11 21:14:02 2004 +0000

    Apply PPC64 build patch (Bug #303, Mike A. Harris, Alan Coopersmith).

commit 1529cb60b2652030598008c151678100ffc3f9ac
Author: Egbert Eich <eich@suse.de>
Date:   Thu May 6 17:31:17 2004 +0000

    BugZilla #601: Fixing makedepend choking on floating point exception
        because CHAR_BIT is defined to __CHAR_BIT__ which is a compiler
        intrinsic define. BugZilla #605: Fixing build on IA64 which is broken
        due to the inclusion of the kernel header asm/page.h. Kernel headers
        however don't work with
    -ansi. The inclusion of asm/page.h can however savely be removed as it
        there are plenty of other ways to determine the page size.

commit 25324cd43b4735cafa7b6900ad23356f44077bc6
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:42:00 2004 +0000

    Merging XORG-CURRENT into trunk

commit 97527faa1b2b9f66be7171454161f273b986ee46
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:27:26 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit cc985b59a40838d617ec2c5b03771620e56fe461
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:09:38 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 9820a186a6d0e6b16909264c67f49b0a858ac07c
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:34:16 2004 +0000

    readding XFree86's cvs IDs

commit d5b34044c15be35736038c188d2681cf7cfb63a9
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:21:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 7ff0f162b4f5a062dd4e58e7ce110757f539465b
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:06:33 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit 200c9bd9793c0d2dbefd1f0a2be197a2d4e3a364
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:26:56 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit a15b8ac6912cef59d7e1ba7a80e58466e2c9fcba
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:20 2003 +0000

    XFree86 4.3.0.1

commit ac5d447a2f18bdd07d5f97bb27cd9d065e30f683
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:29 2003 +0000

    R6.6 is the Xorg base-line
